Subject: bug#12774: RE: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏

From: Vincent Belaïche <[email-masked]>
Date: Sat, 3 Nov 2012 18:20:46 +0100

Here you are:

c:\Documents and Settings\Vincent>gdb --exec="C:\Programme\GNU\Emacs\bin\emacs.exe"
gdb --exec="C:\Programme\GNU\Emacs\bin\emacs.exe"
GNU gdb (GDB) 7.4
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) break emacs_abort
Make breakpoint pending on future shared library load? (y or [n]) [answered N; input not from terminal]
(gdb) No symbol table is loaded.  Use the "file" command.
run
Starting program: C:\Programme\GNU\Emacs\bin\emacs.exe 
[New Thread 3524.0xe60]
thread apply all bt
[New Thread 3524.0xc40]
[New Thread 3524.0x2c8]
[New Thread 3524.0x748]

Program received signal SIGTRAP, Trace/breakpoint trap.
0x7c91120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
(gdb) 
Thread 3 (Thread 3524.0x2c8):
#0  0x7c91e514 in ntdll!LdrAccessResource ()
   from C:\WINDOWS\system32\ntdll.dll
#1  0x77ef6bf2 in GdiDrawStream () from C:\WINDOWS\system32\gdi32.dll
#2  0x64862b1b in ?? () from C:\WINDOWS\system32\uxtheme.dll
#3  0x6486289b in ?? () from C:\WINDOWS\system32\uxtheme.dll
#4  0x64862753 in ?? () from C:\WINDOWS\system32\uxtheme.dll
#5  0x648654f1 in UxTheme!SetThemeAppProperties ()
   from C:\WINDOWS\system32\uxtheme.dll
#6  0x6486641f in UxTheme!SetThemeAppProperties ()
   from C:\WINDOWS\system32\uxtheme.dll
#7  0x6487c4b9 in UxTheme!GetThemeTextMetrics ()
   from C:\WINDOWS\system32\uxtheme.dll
#8  0x64861ac7 in ?? () from C:\WINDOWS\system32\uxtheme.dll
#9  0x64861b3d in ?? () from C:\WINDOWS\system32\uxtheme.dll
#10 0x7e3a94ed in USER32!GetPropW () from C:\WINDOWS\system32\user32.dll
#11 0x010c4eff in ?? ()
#12 0x7e398734 in USER32!GetDC () from C:\WINDOWS\system32\user32.dll
#13 0x000d0480 in ?? ()
#14 0x00000085 in ?? ()
#15 0x00000001 in ?? ()
#16 0x00000000 in ?? ()

Thread 2 (Thread 3524.0xc40):
#0  0x7c91e514 in ntdll!LdrAccessResource ()
   from C:\WINDOWS\system32\ntdll.dll
#1  0x7c91d21a in ntdll!ZwDelayExecution () from C:\WINDOWS\system32\ntdll.dll
#2  0x7c8023f1 in SleepEx () from C:\WINDOWS\system32\kernel32.dll
#3  0x00000000 in ?? ()

Thread 1 (Thread 3524.0xe60):
#0  0x7c91120f in ntdll!DbgUiConnectToDbg ()
   from C:\WINDOWS\system32\ntdll.dll
#1  0x010c1673 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) 

  Vincent

> Date: Sat, 3 Nov 2012 16:16:01 +0200
> From: [email-masked]
> Subject: Re: RE: bug#12774: RE: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏
> To: [email-masked]
> CC: [email-masked]
> 
> > From: Vincent Belaïche <[email-masked]>
> > CC: <[email-masked]>
> > Date: Sat, 3 Nov 2012 14:47:52 +0100
> > 
> > I did the experiment again, after a few attempts I got it crash, and typed  "thread apply all bt".
> > 
> > 
> > 
> > The output " Program received signal SIGTRAP, Trace/breakpoint trap." is printed immediately I click on "Oui" (Yes) button in the dialog that appears when the crash occurs.
> 
> If you run Emacs under GDB, you should do this:
> 
>  (gdb) break emacs_abort
>  (gdb) run
> 
> Then Emacs will stop in emacs_abort instead of popping up the abort
> dialog, and you will be able to produce a more meaningful backtrace.